using VT.FW.DB;
using System;
using System.Collections.Generic;
using System.Text;

namespace Mall.Model.Extend.User
{
    /// <summary>
    /// 插件表扩展实体类
    /// </summary>
    [Serializable]
    [DB(ConnectionName = "DefaultConnection")]
    public class RB_PlugIn_Extend : Model.Entity.User.RB_PlugIn
    {
        /// <summary>
        /// 组件分类名称
        /// </summary>
        public string GroupName
        {
            get
            {
                string str = "";
                switch (this.PlugType)
                {
                    case 1: str = "基础组件";break;
                    case 2: str = "营销组件"; break;
                    case 3: str = "其他组件"; break;
                }
                return   str;
            }
        }
    }
}
